local total_expenses = 0;
local total_incomes = 0;
local total_diff = 0;
local months = {['01']='Jan', ['02']='Feb', ['03']='Mar', ['04']='Apr', ['05']='May', ['06']='Jun', ['07']='Jul', ['08']='Aug', ['09']='Sep', ['10']='Oct', ['11']='Nov', ['12']='Dec'};
function handle_record(record)
    total_expenses = total_expenses + record:get("TotalExpenses");
    total_incomes = total_incomes + record:get("TotalDeposits");
    local diff = record:get("TotalDeposits") - record:get("TotalExpenses");
    record:set('DIFF', diff);
    total_diff =  total_diff + diff;
    local entryDate = record:get("MONTH") .. '-' .. record:get("YEAR");
    record:set('DATE_LABEL',  entryDate );
    local mon = months[record:get("MONTH")];
    record:set('MONTH_STR', mon);
end
function complete(result)
    result:set('TOTAL_DEPOSITS', total_incomes);
    result:set('TOTAL_EXPENSES', total_expenses);
    result:set('TOTAL_DIFF', total_diff);
end